"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.unmarshallItem = exports.marshallItem = void 0;
const util_dynamodb_1 = require("@aws-sdk/util-dynamodb");
const marshallItem = (item) => util_dynamodb_1.marshall(item, { convertClassInstanceToMap: true, removeUndefinedValues: true });
exports.marshallItem = marshallItem;
const unmarshallItem = (item) => util_dynamodb_1.unmarshall(item);
exports.unmarshallItem = unmarshallItem;
