"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.deleteItem = void 0;
const client_dynamodb_1 = require("@aws-sdk/client-dynamodb");
const TAG = "DynamoDB";
async function deleteItem(input, db) {
    try {
        let data = await db.instance.send(new client_dynamodb_1.DeleteItemCommand(input));
        return data;
    }
    catch (err) {
        console.error(TAG, 'Put REQUEST failed', err);
        throw err;
    }
}
exports.deleteItem = deleteItem;
