"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.update = void 0;
const client_dynamodb_1 = require("@aws-sdk/client-dynamodb");
const TAG = "DynamoDB";
async function update(input, db) {
    try {
        let data = await db.instance.send(new client_dynamodb_1.UpdateItemCommand(input));
        return data;
    }
    catch (err) {
        console.error(TAG, 'Update REQUEST failed', err);
        throw err;
    }
}
exports.update = update;
