import * as Query from './src/requests/query'
import * as Update from './src/requests/update'
import * as Delete from './src/requests/delete'
import * as Put from './src/requests/put'
import * as ExecuteBatch from './src/requests/executeBatch'
import * as DB from './src/init/initDb'
import * as TableCreator from './src/init/tableCreator'
import * as DynamoParser from './src/init/dynamo/parser'
import * as DynamoIdGenerator from './src/init/dynamo/parser'
export type {TableProviderI} from './src/init/initDb'

export default {
    Query,
    Update,
    ExecuteBatch,
    Put,
    Delete,
    DB,
    TableCreator,
    DynamoParser,
    DynamoIdGenerator
}


