"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const getRegion = function () {
    return (process.env.DB_AWS_REGION ? process.env.DB_AWS_REGION : 'us-east-1');
};
const getApiVersion = function () {
    return (process.env.DB_API_VERSION ? process.env.DB_API_VERSION : '2012-08-10');
};
const getEndpoint = function () {
    return (process.env.DB_ENDPOINT == "local" ? "http://localhost:8000" : process.env.DB_ENDPOINT);
};
exports.default = {
    getRegion,
    getApiVersion,
    getEndpoint
};
