const getRegion: () => string = function():string{
    return (process.env.DB_AWS_REGION ? process.env.DB_AWS_REGION : 'us-east-1') as string
}

const getApiVersion:() => string = function():string{
    return  (process.env.DB_API_VERSION ? process.env.DB_API_VERSION :'2012-08-10') as string
}

const getEndpoint: () => string = function(){
    return (process.env.DB_ENDPOINT == "local" ? "http://localhost:8000" : process.env.DB_ENDPOINT) as string
}

export default {
    getRegion,
    getApiVersion,
    getEndpoint
};


