"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const client_dynamodb_1 = require("@aws-sdk/client-dynamodb");
const TAG = "TableCreator";
class TableCreator {
    async createTable(db, input) {
        try {
            const dataTable = await db.instance.send(new client_dynamodb_1.CreateTableCommand(input));
            return true;
        }
        catch (err) {
            console.log(TAG, "** ERROR DB NOT CREATED **", err);
            return false;
        }
    }
}
exports.default = TableCreator;
